Bug 1254771 - [abrt] evolution-data-server: mem_error(): evolution-calendar-factory-subprocess killed by SIGABRT
[abrt] evolution-data-server: mem_error(): evolution-calendar-factory-subproc...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e320b8f2ce9d0ff276e3b7f38f7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 15:56 EDT by Nicolas Laplante
Modified: 2016-07-19 13:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:33:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.82 KB, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: core_backtrace (21.91 KB, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: dso_list (18.69 KB, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: environ (915 bytes, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: maps (88.80 KB, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: mountinfo (3.84 KB, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: open_fds (986 bytes, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-08-18 15:56 EDT, Nicolas Laplante
no flags Details

  None (edit)
Description Nicolas Laplante 2015-08-18 15:56:15 EDT
Version-Release number of selected component:
evolution-data-server-3.16.5-1.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory-subprocess --factory ews --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx2473x5 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/Calendar/2473/5
crash_function: mem_error
executable:     /usr/libexec/evolution-calendar-factory-subprocess
global_pid:     2959
kernel:         4.1.4-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #2 mem_error at gslice.c:1439
 #3 slab_allocator_free_chunk at gslice.c:1321
 #4 private_thread_memory_cleanup at gslice.c:785
 #5 __nptl_deallocate_tsd at pthread_create.c:175
Comment 1 Nicolas Laplante 2015-08-18 15:56:17 EDT
Created attachment 1064448 [details]
File: backtrace
Comment 2 Nicolas Laplante 2015-08-18 15:56:18 EDT
Created attachment 1064449 [details]
File: cgroup
Comment 3 Nicolas Laplante 2015-08-18 15:56:19 EDT
Created attachment 1064450 [details]
File: core_backtrace
Comment 4 Nicolas Laplante 2015-08-18 15:56:20 EDT
Created attachment 1064451 [details]
File: dso_list
Comment 5 Nicolas Laplante 2015-08-18 15:56:21 EDT
Created attachment 1064452 [details]
File: environ
Comment 6 Nicolas Laplante 2015-08-18 15:56:22 EDT
Created attachment 1064453 [details]
File: limits
Comment 7 Nicolas Laplante 2015-08-18 15:56:23 EDT
Created attachment 1064454 [details]
File: maps
Comment 8 Nicolas Laplante 2015-08-18 15:56:24 EDT
Created attachment 1064455 [details]
File: mountinfo
Comment 9 Nicolas Laplante 2015-08-18 15:56:25 EDT
Created attachment 1064456 [details]
File: namespaces
Comment 10 Nicolas Laplante 2015-08-18 15:56:26 EDT
Created attachment 1064457 [details]
File: open_fds
Comment 11 Nicolas Laplante 2015-08-18 15:56:26 EDT
Created attachment 1064458 [details]
File: proc_pid_status
Comment 12 Nicolas Laplante 2015-08-18 15:56:27 EDT
Created attachment 1064459 [details]
File: var_log_messages
Comment 13 Milan Crha 2015-08-19 05:20:25 EDT
Thanks for a bug report. It looks like a memory corruption related to your evolution-ews calendar(s). I do not see from the backtrace what could cause it, neither what you were doing before the crash (it could be also an automatic update of the calendar).

By any chance, do you know what you were doing with the calendar before the crash, if anything directly? Is this anyhow reproducible, please?
Comment 14 Nicolas Laplante 2015-08-19 06:10:29 EDT
All I know is that I might have lost connection to the network while moving the laptop.

Also, I had some problems configuring the corporate proxy. I don't know if it was at the same moment evolution crashed, but maybe it's related. It's an authenticated proxy.

I configure the proxy through Gnome, and let evolution use system settings.
Comment 15 Milan Crha 2015-08-20 04:27:46 EDT
Thanks for the update. Most of it sounds like a one-time change. And apart of the second bug report I'm afraid we cannot do much with it, especially if it was just a one-time crash, unreproducible.
Comment 16 Fedora End Of Life 2016-07-19 13:33:54 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.